Bug 486355 (CVE-2009-0040) - CVE-2009-0040 libpng arbitrary free() flaw
Summary: CVE-2009-0040 libpng arbitrary free() flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0040
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://213.203.218.125/l/li/libpng/li...
Whiteboard: source=vendorsec,reported=20090212,pu...
Depends On: 487164 487165 487166 487167 487168 487169 487170 487171 487172 537849 802164
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-19 14:01 UTC by Josh Bressers
Modified: 2019-06-08 12:41 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 23:41:38 UTC


Attachments (Terms of Use)
Upstream advisory for posterity (1.65 KB, text/plain)
2009-02-19 14:02 UTC, Josh Bressers
no flags Details
Upstream patch to fix the issue (2.63 KB, patch)
2009-02-21 00:59 UTC, Vincent Danen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0315 normal SHIPPED_LIVE Critical: firefox security update 2009-03-05 00:20:38 UTC
Red Hat Product Errata RHSA-2009:0325 normal SHIPPED_LIVE Critical: seamonkey security update 2009-03-05 01:00:08 UTC
Red Hat Product Errata RHSA-2009:0333 normal SHIPPED_LIVE Moderate: libpng security update 2009-03-04 20:05:12 UTC
Red Hat Product Errata RHSA-2009:0340 normal SHIPPED_LIVE Moderate: libpng security update 2009-03-04 20:22:18 UTC

Description Josh Bressers 2009-02-19 14:01:24 UTC
A flaw was discovered in libpng that could result in libpng trying to free() random memory if certain unlikely error conditions occur.  To quote the libpng advisory:

    If the application runs out of memory during the
    loop, some of the element pointers will be uninitialized.
    Libpng will then longjmp to a cleanup process that
    attempts to free all of the elements in the array,
    including the uninitialized ones.  This behavior
    could be forced by a malevolent input.

Comment 1 Josh Bressers 2009-02-19 14:02:33 UTC
Created attachment 332560 [details]
Upstream advisory for posterity

Comment 2 Vincent Danen 2009-02-21 00:59:16 UTC
Created attachment 332781 [details]
Upstream patch to fix the issue

Comment 9 Fedora Update System 2009-02-26 09:02:41 UTC
mingw32-libpng-1.2.35-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libpng-1.2.35-1.fc10

Comment 10 Richard W.M. Jones 2009-02-26 09:03:21 UTC
Thanks for the heads up on this.  I have rebuilt
the mingw32-libpng package in Rawhide, F-10 and EL-5.

Comment 11 Paul Howarth 2009-02-26 09:50:00 UTC
Upstream release 1.0.43 addresses this issue for libpng10.

Rawhide is already updated, and updates for F-9 and F-10 are currently in updates-testing.

https://admin.fedoraproject.org/updates/F9/FEDORA-2009-2045
https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1976

Comment 12 Fedora Update System 2009-02-26 15:33:16 UTC
libpng-1.2.35-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-02-26 15:34:32 UTC
libpng-1.2.35-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-02-26 15:35:27 UTC
mingw32-libpng-1.2.35-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-03-09 22:47:32 UTC
libpng10-1.0.43-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2009-03-09 23:11:15 UTC
libpng10-1.0.43-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2009-03-21 01:26:13 UTC
thunderbird-2.0.0.21-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2009-03-21 01:27:17 UTC
thunderbird-2.0.0.21-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.